Thread (91 messages) 91 messages, 6 authors, 2018-09-10

Re: [PATCH v10] devtools: alert on new instances of rte_panic and rte_exit

From: Thomas Monjalon <hidden>
Date: 2018-05-27 19:47:23

Hi,

30/04/2018 08:45, Arnon Warshavsky:
quoted hunk ↗ jump to hunk
--- a/devtools/checkpatches.sh
+++ b/devtools/checkpatches.sh
+		check_forbidden_additions -
This is consuming stdin.
I guess the checkpatch.pl will have nothing to check in the next step.
We should merge Neil's patch first, because he is adding a tmpfile
to solve the issue of stdin read only once.
+		[ $? -eq 0 ] || return 0
This test looks reversed: if the result is not 0, we should not return 0.
And by the way, I think it is better to continue with other checks.
Neil's patch is setting ret=1, continue and return at the end.
 		report=$($DPDK_CHECKPATCH_PATH $options - 2>/dev/null)
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help